#
# spec file for package perl-Font-TTF
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Font-TTF
Version:        1.06
Release:        1.30
#Upstream: Artistic-2.0
%define cpan_name Font-TTF
Summary:        Perl module for TrueType Font hacking
License:        Artistic-2.0 and OFL-1.1
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Font-TTF/
Source0:        http://www.cpan.org/authors/id/B/BH/BHALLISSY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IO::String)
Requires:       perl(IO::String)
%{perl_requires}

%description
This module allows you to do almost anything to a TrueType/OpenType Font
including modify and inspect nearly all tables.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTORS LICENSE README.TXT TODO

%changelog
* Sun Aug 28 2016 coolo@suse.com
- updated to 1.06
  see /usr/share/doc/packages/perl-Font-TTF/Changes
* Sat Aug 27 2016 coolo@suse.com
- updated to 1.06
  see /usr/share/doc/packages/perl-Font-TTF/Changes
* Fri Aug 26 2016 coolo@suse.com
- updated to 1.06
  see /usr/share/doc/packages/perl-Font-TTF/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.05
  see /usr/share/doc/packages/perl-Font-TTF/Changes
  1.05 (r1069, 2015-01-26)
  * Add support for GSUB Type 8 Reverse-chaining substitution
  * OpenType script/lang/feature tags now based on ISO/IEC 14496-22
  * Remove deprecated GDL_old.pm
  * 
  * Bug fixes:
  * Fix rt.cpan.org 92150, 93597
  * Force 0xFFFF sentry to be in a segment by itself in format 4 cmap subtables
  * Less aggressive cmap format 4 optimization to eliminate USV holes
  * Fix various issues reading WOFF-compressed font tables
  * Fix reading DSIG
* Mon Feb 24 2014 coolo@suse.com
- fix for bnc#766390
  * License Issues
- updated to 1.04
  * Bug fixes:
  * Fix rt.cpan.org 80671, 80672; simplify fix for #42553 per OP
  * Shared tables in TTC weren't working
  * Quiet a cleanup warning in TTC processing
  * Update licensing info for test fonts to OFL
* Tue Nov 26 2013 coolo@suse.com
- updated to 1.03
  * Add $t->minsize() to all tables for assisting with font subsetting
  * Add deduping to Name table writing
  * Add OS/2 table method to guess at Unicode and Codepage range bits.
  * Add support for cmap format 13 subtables
  * Expunge notion of 'dflt' language tag from Ttopen.pm
  * Bug fixes
* Wed Jun  5 2013 cfarrell@suse.com
- license update: Artistic-2.0 and OFL-1.1
  Test fonts are OFL-1.1 licensed
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.02
  * Add IO::String prerequisite to make BSD and other testing environments happy
  * Major change to glyph creation/editing -- now utilizes ' isDirty' flag
  * Add support for:
  * V4 OS/2 table
  * Reading WOFF fonts
  * MarkFilterSets in GDEF
  * Feature parameters (for cvxx, ssxx and size features)
  * Additional Graphite tables (Silf, Glac, and Gloc)
  * Updated MS Lang IDs to Dec 2011
  * Finish implementation of coverage table sorting
  * Copyright and licensing updated to CPAN requirements
  * Bug fixes
  * Ensure coverage tables are properly sorted
  * Additional OT tags (from OpenType 1.6)
  * Bug fixes
  * Add support for Graphite Sill table
  * Handle kerning tables version > 0
  * Bug fixes
  * Bug fixes
  * Change Copyright to Artistic License 2.0
* Thu Jun  7 2012 chris@computersalat.de
- fix license
  * Artistic-2.0
- fix deps
* Mon Sep  5 2011 coolo@suse.com
- updated to 0.48
* Thu Mar 31 2011 coolo@novell.com
- initial package 0.48
  * created by cpanspec 1.78.03
